## exclusion exclusion — Exclusion exclodes the colors in the video signal. |

## Properties

gboolean | silent | Read / Write
guint | factor | Read / Write

## Types and Values

struct | GstExclusion

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstExclusion

## Description

Exclusion saturates the colors of a video stream in realtime.

### Example launch line

    1
    gst-launch -v videotestsrc ! exclusion ! videoconvert ! autovideosink

This pipeline shows the effect of exclusion on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstExclusion

    struct GstExclusion;

## Property Details

### The `“silent”` property

      “silent”                   gboolean

Produce verbose output ?.

Flags: Read / Write

Default value: FALSE

### The `“factor”` property

      “factor”                   guint

Exclusion factor parameter.

Flags: Read / Write

Allowed values: <= 175

Default value: 175